Firmware issue in version 1.6.8

Hello CABLE users!

We have detected an error in the CABLE firmware 1.6.8 update. Due to a bug with the firmware, CABLE units which have this version (1.6.8) loaded onto them will not be able to install further updates. The unit will continue to function as normal aside from updating. If you have installed firmware version 1.6.8, please contact us at info@npe-inc.com. The firmware update 1.6.9 is does not have any reported issues. We sincerely apologize for this error on our part, and request that you contact us should you experience this issue.

If you have any questions, do not hesitate to contact us via email or phone at (612) 305-0440

Thank you for your patience, and your continued use of CABLE!